package com.njcn.pojo.data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author hongawen
 * @date 2018/4/13 11:43
 */
@Table(name="LIMIT_RATE")
public class LimitRate {

	@Column(name="TIMEID")
	private Date timeID;
	
	@Column(name="PHASIC_TYPE")
	private String phasicType;

	@Column(name="MYINDEX")
	private Integer myIndex;

	@Column(name="AllTime")
	private Integer allTime;

	@Column(name="Flicket_AllTime")
	private Integer flicketAllTime;

	@Column(name="Freq_Dev_OverTime")
	private Integer freqDevOverTime;

	@Column(name="Voltage_Dev_OverTime")
	private Integer voltageDevOvertime;

	@Column(name="UBalance_OverTime")
	private Integer UBalanceOverTime;

	@Column(name="Flicker_OverTime")
	private Integer flickerOverTime;

	@Column(name="UAberrance_OverTime")
	private Integer UAberranceOverTime;

	@Column(name="UHarm_2_OverTime")
	private Integer UHarm2OverTime;

	@Column(name="UHarm_3_OverTime")
	private Integer UHarm3OverTime;

	@Column(name="UHarm_4_OverTime")
	private Integer UHarm4OverTime;

	@Column(name="UHarm_5_OverTime")
	private Integer UHarm5OverTime;

	@Column(name="UHarm_6_OverTime")
	private Integer UHarm6OverTime;

	@Column(name="UHarm_7_OverTime")
	private Integer UHarm7OverTime;

	@Column(name="UHarm_8_OverTime")
	private Integer UHarm8OverTime;

	@Column(name="UHarm_9_OverTime")
	private Integer UHarm9OverTime;

	@Column(name="UHarm_10_OverTime")
	private Integer UHarm10OverTime;

	@Column(name="UHarm_11_OverTime")
	private Integer UHarm11OverTime;

	@Column(name="UHarm_12_OverTime")
	private Integer UHarm12OverTime;

	@Column(name="UHarm_13_OverTime")
	private Integer UHarm13OverTime;

	@Column(name="UHarm_14_OverTime")
	private Integer UHarm14OverTime;

	@Column(name="UHarm_15_OverTime")
	private Integer UHarm15OverTime;

	@Column(name="UHarm_16_OverTime")
	private Integer UHarm16OverTime;

	@Column(name="UHarm_17_OverTime")
	private Integer UHarm17OverTime;

	@Column(name="UHarm_18_OverTime")
	private Integer UHarm18OverTime;

	@Column(name="UHarm_19_OverTime")
	private Integer UHarm19OverTime;

	@Column(name="UHarm_20_OverTime")
	private Integer UHarm20OverTime;

	@Column(name="UHarm_21_OverTime")
	private Integer UHarm21OverTime;

	@Column(name="UHarm_22_OverTime")
	private Integer UHarm22OverTime;

	@Column(name="UHarm_23_OverTime")
	private Integer UHarm23OverTime;

	@Column(name="UHarm_24_OverTime")
	private Integer UHarm24OverTime;

	@Column(name="UHarm_25_OverTime")
	private Integer UHarm25OverTime;

	@Column(name="IHarm_2_OverTime")
	private Integer IHarm2OverTime;

	@Column(name="IHarm_3_OverTime")
	private Integer IHarm3OverTime;

	@Column(name="IHarm_4_OverTime")
	private Integer IHarm4OverTime;

	@Column(name="IHarm_5_OverTime")
	private Integer IHarm5OverTime;

	@Column(name="IHarm_6_OverTime")
	private Integer IHarm6OverTime;

	@Column(name="IHarm_7_OverTime")
	private Integer IHarm7OverTime;

	@Column(name="IHarm_8_OverTime")
	private Integer IHarm8OverTime;

	@Column(name="IHarm_9_OverTime")
	private Integer IHarm9OverTime;

	@Column(name="IHarm_10_OverTime")
	private Integer IHarm10OverTime;

	@Column(name="IHarm_11_OverTime")
	private Integer IHarm11OverTime;

	@Column(name="IHarm_12_OverTime")
	private Integer IHarm12OverTime;

	@Column(name="IHarm_13_OverTime")
	private Integer IHarm13OverTime;

	@Column(name="IHarm_14_OverTime")
	private Integer IHarm14OverTime;

	@Column(name="IHarm_15_OverTime")
	private Integer IHarm15OverTime;

	@Column(name="IHarm_16_OverTime")
	private Integer IHarm16OverTime;

	@Column(name="IHarm_17_OverTime")
	private Integer IHarm17OverTime;

	@Column(name="IHarm_18_OverTime")
	private Integer IHarm18OverTime;

	@Column(name="IHarm_19_OverTime")
	private Integer IHarm19OverTime;

	@Column(name="IHarm_20_OverTime")
	private Integer IHarm20OverTime;

	@Column(name="IHarm_21_OverTime")
	private Integer IHarm21OverTime;

	@Column(name="IHarm_22_OverTime")
	private Integer IHarm22OverTime;

	@Column(name="IHarm_23_OverTime")
	private Integer IHarm23OverTime;

	@Column(name="IHarm_24_OverTime")
	private Integer IHarm24OverTime;

	@Column(name="IHarm_25_OverTime")
	private Integer IHarm25OverTime;

	public Date getTimeID() {
		return timeID;
	}

	public void setTimeID(Date timeID) {
		this.timeID = timeID;
	}

	public String getPhasicType() {
		return phasicType;
	}

	public void setPhasicType(String phasicType) {
		this.phasicType = phasicType;
	}

	public Integer getMyIndex() {
		return myIndex;
	}

	public void setMyIndex(Integer myIndex) {
		this.myIndex = myIndex;
	}

	public Integer getAllTime() {
		return allTime;
	}

	public void setAllTime(Integer allTime) {
		this.allTime = allTime;
	}

	public Integer getFlicketAllTime() {
		return flicketAllTime;
	}

	public void setFlicketAllTime(Integer flicketAllTime) {
		this.flicketAllTime = flicketAllTime;
	}

	public Integer getFreqDevOverTime() {
		return freqDevOverTime;
	}

	public void setFreqDevOverTime(Integer freqDevOverTime) {
		this.freqDevOverTime = freqDevOverTime;
	}

	public Integer getVoltageDevOvertime() {
		return voltageDevOvertime;
	}

	public void setVoltageDevOvertime(Integer voltageDevOvertime) {
		this.voltageDevOvertime = voltageDevOvertime;
	}

	public Integer getUBalanceOverTime() {
		return UBalanceOverTime;
	}

	public void setUBalanceOverTime(Integer UBalanceOverTime) {
		this.UBalanceOverTime = UBalanceOverTime;
	}

	public Integer getFlickerOverTime() {
		return flickerOverTime;
	}

	public void setFlickerOverTime(Integer flickerOverTime) {
		this.flickerOverTime = flickerOverTime;
	}

	public Integer getUAberranceOverTime() {
		return UAberranceOverTime;
	}

	public void setUAberranceOverTime(Integer UAberranceOverTime) {
		this.UAberranceOverTime = UAberranceOverTime;
	}

	public Integer getUHarm2OverTime() {
		return UHarm2OverTime;
	}

	public void setUHarm2OverTime(Integer UHarm2OverTime) {
		this.UHarm2OverTime = UHarm2OverTime;
	}

	public Integer getUHarm3OverTime() {
		return UHarm3OverTime;
	}

	public void setUHarm3OverTime(Integer UHarm3OverTime) {
		this.UHarm3OverTime = UHarm3OverTime;
	}

	public Integer getUHarm4OverTime() {
		return UHarm4OverTime;
	}

	public void setUHarm4OverTime(Integer UHarm4OverTime) {
		this.UHarm4OverTime = UHarm4OverTime;
	}

	public Integer getUHarm5OverTime() {
		return UHarm5OverTime;
	}

	public void setUHarm5OverTime(Integer UHarm5OverTime) {
		this.UHarm5OverTime = UHarm5OverTime;
	}

	public Integer getUHarm6OverTime() {
		return UHarm6OverTime;
	}

	public void setUHarm6OverTime(Integer UHarm6OverTime) {
		this.UHarm6OverTime = UHarm6OverTime;
	}

	public Integer getUHarm7OverTime() {
		return UHarm7OverTime;
	}

	public void setUHarm7OverTime(Integer UHarm7OverTime) {
		this.UHarm7OverTime = UHarm7OverTime;
	}

	public Integer getUHarm8OverTime() {
		return UHarm8OverTime;
	}

	public void setUHarm8OverTime(Integer UHarm8OverTime) {
		this.UHarm8OverTime = UHarm8OverTime;
	}

	public Integer getUHarm9OverTime() {
		return UHarm9OverTime;
	}

	public void setUHarm9OverTime(Integer UHarm9OverTime) {
		this.UHarm9OverTime = UHarm9OverTime;
	}

	public Integer getUHarm10OverTime() {
		return UHarm10OverTime;
	}

	public void setUHarm10OverTime(Integer UHarm10OverTime) {
		this.UHarm10OverTime = UHarm10OverTime;
	}

	public Integer getUHarm11OverTime() {
		return UHarm11OverTime;
	}

	public void setUHarm11OverTime(Integer UHarm11OverTime) {
		this.UHarm11OverTime = UHarm11OverTime;
	}

	public Integer getUHarm12OverTime() {
		return UHarm12OverTime;
	}

	public void setUHarm12OverTime(Integer UHarm12OverTime) {
		this.UHarm12OverTime = UHarm12OverTime;
	}

	public Integer getUHarm13OverTime() {
		return UHarm13OverTime;
	}

	public void setUHarm13OverTime(Integer UHarm13OverTime) {
		this.UHarm13OverTime = UHarm13OverTime;
	}

	public Integer getUHarm14OverTime() {
		return UHarm14OverTime;
	}

	public void setUHarm14OverTime(Integer UHarm14OverTime) {
		this.UHarm14OverTime = UHarm14OverTime;
	}

	public Integer getUHarm15OverTime() {
		return UHarm15OverTime;
	}

	public void setUHarm15OverTime(Integer UHarm15OverTime) {
		this.UHarm15OverTime = UHarm15OverTime;
	}

	public Integer getUHarm16OverTime() {
		return UHarm16OverTime;
	}

	public void setUHarm16OverTime(Integer UHarm16OverTime) {
		this.UHarm16OverTime = UHarm16OverTime;
	}

	public Integer getUHarm17OverTime() {
		return UHarm17OverTime;
	}

	public void setUHarm17OverTime(Integer UHarm17OverTime) {
		this.UHarm17OverTime = UHarm17OverTime;
	}

	public Integer getUHarm18OverTime() {
		return UHarm18OverTime;
	}

	public void setUHarm18OverTime(Integer UHarm18OverTime) {
		this.UHarm18OverTime = UHarm18OverTime;
	}

	public Integer getUHarm19OverTime() {
		return UHarm19OverTime;
	}

	public void setUHarm19OverTime(Integer UHarm19OverTime) {
		this.UHarm19OverTime = UHarm19OverTime;
	}

	public Integer getUHarm20OverTime() {
		return UHarm20OverTime;
	}

	public void setUHarm20OverTime(Integer UHarm20OverTime) {
		this.UHarm20OverTime = UHarm20OverTime;
	}

	public Integer getUHarm21OverTime() {
		return UHarm21OverTime;
	}

	public void setUHarm21OverTime(Integer UHarm21OverTime) {
		this.UHarm21OverTime = UHarm21OverTime;
	}

	public Integer getUHarm22OverTime() {
		return UHarm22OverTime;
	}

	public void setUHarm22OverTime(Integer UHarm22OverTime) {
		this.UHarm22OverTime = UHarm22OverTime;
	}

	public Integer getUHarm23OverTime() {
		return UHarm23OverTime;
	}

	public void setUHarm23OverTime(Integer UHarm23OverTime) {
		this.UHarm23OverTime = UHarm23OverTime;
	}

	public Integer getUHarm24OverTime() {
		return UHarm24OverTime;
	}

	public void setUHarm24OverTime(Integer UHarm24OverTime) {
		this.UHarm24OverTime = UHarm24OverTime;
	}

	public Integer getUHarm25OverTime() {
		return UHarm25OverTime;
	}

	public void setUHarm25OverTime(Integer UHarm25OverTime) {
		this.UHarm25OverTime = UHarm25OverTime;
	}

	public Integer getIHarm2OverTime() {
		return IHarm2OverTime;
	}

	public void setIHarm2OverTime(Integer IHarm2OverTime) {
		this.IHarm2OverTime = IHarm2OverTime;
	}

	public Integer getIHarm3OverTime() {
		return IHarm3OverTime;
	}

	public void setIHarm3OverTime(Integer IHarm3OverTime) {
		this.IHarm3OverTime = IHarm3OverTime;
	}

	public Integer getIHarm4OverTime() {
		return IHarm4OverTime;
	}

	public void setIHarm4OverTime(Integer IHarm4OverTime) {
		this.IHarm4OverTime = IHarm4OverTime;
	}

	public Integer getIHarm5OverTime() {
		return IHarm5OverTime;
	}

	public void setIHarm5OverTime(Integer IHarm5OverTime) {
		this.IHarm5OverTime = IHarm5OverTime;
	}

	public Integer getIHarm6OverTime() {
		return IHarm6OverTime;
	}

	public void setIHarm6OverTime(Integer IHarm6OverTime) {
		this.IHarm6OverTime = IHarm6OverTime;
	}

	public Integer getIHarm7OverTime() {
		return IHarm7OverTime;
	}

	public void setIHarm7OverTime(Integer IHarm7OverTime) {
		this.IHarm7OverTime = IHarm7OverTime;
	}

	public Integer getIHarm8OverTime() {
		return IHarm8OverTime;
	}

	public void setIHarm8OverTime(Integer IHarm8OverTime) {
		this.IHarm8OverTime = IHarm8OverTime;
	}

	public Integer getIHarm9OverTime() {
		return IHarm9OverTime;
	}

	public void setIHarm9OverTime(Integer IHarm9OverTime) {
		this.IHarm9OverTime = IHarm9OverTime;
	}

	public Integer getIHarm10OverTime() {
		return IHarm10OverTime;
	}

	public void setIHarm10OverTime(Integer IHarm10OverTime) {
		this.IHarm10OverTime = IHarm10OverTime;
	}

	public Integer getIHarm11OverTime() {
		return IHarm11OverTime;
	}

	public void setIHarm11OverTime(Integer IHarm11OverTime) {
		this.IHarm11OverTime = IHarm11OverTime;
	}

	public Integer getIHarm12OverTime() {
		return IHarm12OverTime;
	}

	public void setIHarm12OverTime(Integer IHarm12OverTime) {
		this.IHarm12OverTime = IHarm12OverTime;
	}

	public Integer getIHarm13OverTime() {
		return IHarm13OverTime;
	}

	public void setIHarm13OverTime(Integer IHarm13OverTime) {
		this.IHarm13OverTime = IHarm13OverTime;
	}

	public Integer getIHarm14OverTime() {
		return IHarm14OverTime;
	}

	public void setIHarm14OverTime(Integer IHarm14OverTime) {
		this.IHarm14OverTime = IHarm14OverTime;
	}

	public Integer getIHarm15OverTime() {
		return IHarm15OverTime;
	}

	public void setIHarm15OverTime(Integer IHarm15OverTime) {
		this.IHarm15OverTime = IHarm15OverTime;
	}

	public Integer getIHarm16OverTime() {
		return IHarm16OverTime;
	}

	public void setIHarm16OverTime(Integer IHarm16OverTime) {
		this.IHarm16OverTime = IHarm16OverTime;
	}

	public Integer getIHarm17OverTime() {
		return IHarm17OverTime;
	}

	public void setIHarm17OverTime(Integer IHarm17OverTime) {
		this.IHarm17OverTime = IHarm17OverTime;
	}

	public Integer getIHarm18OverTime() {
		return IHarm18OverTime;
	}

	public void setIHarm18OverTime(Integer IHarm18OverTime) {
		this.IHarm18OverTime = IHarm18OverTime;
	}

	public Integer getIHarm19OverTime() {
		return IHarm19OverTime;
	}

	public void setIHarm19OverTime(Integer IHarm19OverTime) {
		this.IHarm19OverTime = IHarm19OverTime;
	}

	public Integer getIHarm20OverTime() {
		return IHarm20OverTime;
	}

	public void setIHarm20OverTime(Integer IHarm20OverTime) {
		this.IHarm20OverTime = IHarm20OverTime;
	}

	public Integer getIHarm21OverTime() {
		return IHarm21OverTime;
	}

	public void setIHarm21OverTime(Integer IHarm21OverTime) {
		this.IHarm21OverTime = IHarm21OverTime;
	}

	public Integer getIHarm22OverTime() {
		return IHarm22OverTime;
	}

	public void setIHarm22OverTime(Integer IHarm22OverTime) {
		this.IHarm22OverTime = IHarm22OverTime;
	}

	public Integer getIHarm23OverTime() {
		return IHarm23OverTime;
	}

	public void setIHarm23OverTime(Integer IHarm23OverTime) {
		this.IHarm23OverTime = IHarm23OverTime;
	}

	public Integer getIHarm24OverTime() {
		return IHarm24OverTime;
	}

	public void setIHarm24OverTime(Integer IHarm24OverTime) {
		this.IHarm24OverTime = IHarm24OverTime;
	}

	public Integer getIHarm25OverTime() {
		return IHarm25OverTime;
	}

	public void setIHarm25OverTime(Integer IHarm25OverTime) {
		this.IHarm25OverTime = IHarm25OverTime;
	}

	@Override
	public String toString() {
		return "LimitRate{" +
				"timeID=" + timeID +
				", phasicType=" + phasicType +
				", myIndex=" + myIndex +
				", allTime=" + allTime +
				", flicketAllTime=" + flicketAllTime +
				", freqDevOverTime=" + freqDevOverTime +
				", voltageDevOvertime=" + voltageDevOvertime +
				", UBalanceOverTime=" + UBalanceOverTime +
				", flickerOverTime=" + flickerOverTime +
				", UAberranceOverTime=" + UAberranceOverTime +
				", UHarm2OverTime=" + UHarm2OverTime +
				", UHarm3OverTime=" + UHarm3OverTime +
				", UHarm4OverTime=" + UHarm4OverTime +
				", UHarm5OverTime=" + UHarm5OverTime +
				", UHarm6OverTime=" + UHarm6OverTime +
				", UHarm7OverTime=" + UHarm7OverTime +
				", UHarm8OverTime=" + UHarm8OverTime +
				", UHarm9OverTime=" + UHarm9OverTime +
				", UHarm10OverTime=" + UHarm10OverTime +
				", UHarm11OverTime=" + UHarm11OverTime +
				", UHarm12OverTime=" + UHarm12OverTime +
				", UHarm13OverTime=" + UHarm13OverTime +
				", UHarm14OverTime=" + UHarm14OverTime +
				", UHarm15OverTime=" + UHarm15OverTime +
				", UHarm16OverTime=" + UHarm16OverTime +
				", UHarm17OverTime=" + UHarm17OverTime +
				", UHarm18OverTime=" + UHarm18OverTime +
				", UHarm19OverTime=" + UHarm19OverTime +
				", UHarm20OverTime=" + UHarm20OverTime +
				", UHarm21OverTime=" + UHarm21OverTime +
				", UHarm22OverTime=" + UHarm22OverTime +
				", UHarm23OverTime=" + UHarm23OverTime +
				", UHarm24OverTime=" + UHarm24OverTime +
				", UHarm25OverTime=" + UHarm25OverTime +
				", IHarm2OverTime=" + IHarm2OverTime +
				", IHarm3OverTime=" + IHarm3OverTime +
				", IHarm4OverTime=" + IHarm4OverTime +
				", IHarm5OverTime=" + IHarm5OverTime +
				", IHarm6OverTime=" + IHarm6OverTime +
				", IHarm7OverTime=" + IHarm7OverTime +
				", IHarm8OverTime=" + IHarm8OverTime +
				", IHarm9OverTime=" + IHarm9OverTime +
				", IHarm10OverTime=" + IHarm10OverTime +
				", IHarm11OverTime=" + IHarm11OverTime +
				", IHarm12OverTime=" + IHarm12OverTime +
				", IHarm13OverTime=" + IHarm13OverTime +
				", IHarm14OverTime=" + IHarm14OverTime +
				", IHarm15OverTime=" + IHarm15OverTime +
				", IHarm16OverTime=" + IHarm16OverTime +
				", IHarm17OverTime=" + IHarm17OverTime +
				", IHarm18OverTime=" + IHarm18OverTime +
				", IHarm19OverTime=" + IHarm19OverTime +
				", IHarm20OverTime=" + IHarm20OverTime +
				", IHarm21OverTime=" + IHarm21OverTime +
				", IHarm22OverTime=" + IHarm22OverTime +
				", IHarm23OverTime=" + IHarm23OverTime +
				", IHarm24OverTime=" + IHarm24OverTime +
				", IHarm25OverTime=" + IHarm25OverTime +
				'}';
	}
}
